Update API Application Config
Deprecated: Use PatchApplication instead to update the config of an API app.
Update the OIDC-specific configuration of an application.
Path Parameters
project_id*string
app_id*string
Request Body
application/json
authMethodType?string
Value in
"API_AUTH_METHOD_TYPE_BASIC" | "API_AUTH_METHOD_TYPE_PRIVATE_KEY_JWT"[key: string]?never
Response Body
application/json
curl -X PUT "https://loading/projects/string/apps/string/api_config" \ -H "Content-Type: application/json" \ -d '{}'{
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
}
}Was this page helpful?
Unlock User
Unlock User: Deprecated: use [user service v2 UnlockUser](/reference/api/user/zitadel.user.v2.UserService.UnlockUser) instead. Unlock a user with the state 'locked'. The user will be able to log in again afterw...
Update Application
Update Application: Deprecated: Use [PatchApplication](/reference/api/application/zitadel.application.v2.ApplicationService.UpdateApplication) instead to update the generic params of an app. Update the basic informati...